/*
    Denna klass är en modell för avgångar.

    lineName : String               (Linjenamnet)
    finalStop : Stop                (Ändhållplats)
    originalTime : String           (Ursprunglig Avgångstid)
    newTime : String                (Ny Avgångstid)
    trafficInfo : String            (Trafikinformation)
*/

class Departure {
    constructor(lineName, finalStop, originalTime) {
        this.sname = lineName;
        this.direction = finalStop;
        this.time = originalTime;
    }

    timeUpdate(time, trafficInfo) {
        this.newTime = time;
        this.trafficInfo = trafficInfo;
    }
}

export default Departure;