/*
    Denna klass är en modell för hållplatser.

    name : String               (Hållplatsens namn)
    locations : Track[]         (Möjliga lägen)
    departures : Departure[]    (Avgångar från hållplatsen)
*/

class Stop {
    constructor(name, id, lat, lon, locations, departures) {
        this.name = name;
        this.id = id;
        this.lat = lat;
        this.lon = lon;
        this.locations = locations;
        this.departures = departures;
    }
}

/*
Från västtrafiks api ett element i listan av hållplatser ser ut som följande
      "id": "string",
      "lon": "string",
      "idx": "string",
      "weight": "string",
      "name": "string",
      "track": "string",
      "lat": "string"
*/

export default Stop;