import React, { Component } from 'react';

import Header from '../Header.js';
import TopMenu from '../TopMenu.js';
import MenuButton from '../MenuButton.js';
import MainArea from '../MainArea.js';

import clockIcon from '../../img/clock.svg';
import calendarIcon from '../../img/calendar.svg';
import recurringIcon from '../../img/redo.svg';

import globalData from '../../GlobalData.js';

class TicketsBuy extends Component {
    render() {
        globalData.currentPage = this;

        return ( 
            <>
                <Header title="Köp biljett" />
                <TopMenu>
                    <MenuButton label="Enkelbiljett" icon={clockIcon} />
                    <MenuButton label="Periodbiljett" icon={calendarIcon} />
                    <MenuButton label="Dygnsbiljett" icon={recurringIcon} />
                </TopMenu>
                <MainArea style={{justifyContent: "space-evenly"}}>
                    <p>Du har inga tidigare köp</p>
                </MainArea>
            </>
        );
    }
}

export default TicketsBuy;