import React, { Component } from "react";

import Header from "../Header.js";
import TopMenu from "../TopMenu.js";
import MainArea from "../MainArea.js";
import StopTitle from "../StopTitle.js";
import TrafficList from "../TrafficList.js";

import globalData from '../../GlobalData.js';


class TrafficInfo extends Component {
    render() {
        globalData.currentPage = this;

        return (
            <>
                <Header title="Trafikinfo" />
                <TopMenu>
                    <StopTitle stop={globalData.stop} />
                </TopMenu>
                <MainArea>
                    <TrafficList departures={globalData.stop.departures} />
                </MainArea>
            </>
        );
    }
}

export default TrafficInfo;
