import React, { Component } from 'react';

import Header from '../Header.js';
import TopMenu from '../TopMenu.js';
import MainArea from '../MainArea.js';
import TripSelector from '../TripSelector.js';

import '../css/TripSelector.css';

import globalData from '../../GlobalData.js';

class Travel extends Component {
    render() {
        globalData.currentPage = this;

        return (
            <>
                <Header title="Reseplanering" />
                <TopMenu>
                    <TripSelector
                        from={this.props.location.from}
                        to={this.props.location.to}
                    />
                </TopMenu>
                <MainArea style={{justifyContent: "space-evenly"}}>
                </MainArea>
            </>
        );
    }
}

export default Travel;